import os
import sys

# before doing anything else, patch stdout to avoid breakage in production
# see LP: #1099459 for details
sys.stdout = sys.stderr

# add current dir to system path if not already there
# check if path is already there to avoid path duplication when
# modwsgi is configured for code reloading
curdir = os.path.abspath(os.path.dirname(__file__))
if curdir not in sys.path:
    sys.path.append(curdir)
import paths
paths.setup_paths()

import django
from django.conf import settings


from revtracker.wsgi import make_app
django.setup()
app = make_app()


def application(environ, start_response):
    # Patch environment if we should be serving https
    if getattr(settings, 'USE_HTTPS'):
        environ['HTTPS'] = 'on'
        environ['wsgi.url_scheme'] = 'https'

    return app(environ, start_response)
